Summary: Static Multicast Routing Daemon
Name: smcroute
Version: 2.5.6
Release: 1%{?dist}
License: GPLv2
Source0: https://github.com/troglobit/smcroute/releases/download/%version/%name-%version.tar.gz
URL: http://troglobit.com/project/smcroute

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: libcap-devel
BuildRequires: make
BuildRequires: pkgconf-pkg-config
BuildRequires: systemd
BuildRequires: systemd-devel

%description
SMCRoute is a daemon and command line tool to manipulate the multicast routes
of the Linux kernel. It can be used as an alternative to dynamic multicast
routers like 'mrouted' in situations where (only) static multicast routes
should be maintained and/or no proper IGMP signaling exists.

%prep
%autosetup

%build
%configure --enable-mrdisc --prefix=/usr --sysconfdir=/etc --localstatedir=/var
%make_build

%install
%make_install

%files
%_docdir/smcroute
%_mandir/man5/*
%_mandir/man8/*
%_sbindir/*
%_unitdir/smcroute.service

%changelog
* Tue Jun 20 2023 Ivan Vecera <ivecera@redhat.com> - 2.5.6-1
- Bump to upstream version 2.5.6

* Fri Jun 05 2020 Ivan Vecera <ivecera@redhat.com> - 2.4.4-2
- Add later 2.4 fixes

* Thu Sep 05 2019 Wei-Lun Chao <bluebat@member.fsf.org> - 2.4.4
- Rebuild for Fedora
* Mon Apr 15 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 0.94.1-alt2.qa1
- NMU: rebuilt for debuginfo.
* Mon Mar 01 2010 Afanasov Dmitry <ender@altlinux.org> 0.94.1-alt2
- build with ipv6 support but disable it by default
* Sat Feb 27 2010 Afanasov Dmitry <ender@altlinux.org> 0.94.1-alt1
- 0.94.1 release
- change Url
- add pidfile support
- add init script
* Tue Sep 02 2008 Afanasov Dmitry <ender@altlinux.org> 0.93d-alt1
- first build
